Requisiti di sistema: COMSOL Server™ versione 5.5

Requisiti comuni a tutte le piattaforme:

  • Durante l'installazione si consiglia di utilizzare una scheda di rete funzionante e una connessione internet
  • Si consigliano almeno 4 GB di RAM
  • 2-10 GB di spazio su disco, a seconda dei prodotti concessi in licenza e delle opzioni di installazione
  • Adobe® Acrobat® Reader per visualizzare e stampare la documentazione COMSOL in formato PDF
  • Un processore Intel® o AMD® 64-bit basato sull'architettura Intel® 64 o AMD641

Per informazioni sulla scelta della RAM e dei processori, vedere queste Informazioni tecniche di base.

1Per il Design Module su Linux® è necessario un processore con il set di istruzioni SSE4. I processori rilasciati nel 2009 o successivi e i processori AMD® rilasciati nel 2012 o successivi soddisfano questo requisito.

COMSOL Server™ Licenza (CSL)

La tipologia di licenza di COMSOL Server™ è un tipo di licenza di rete ed è supportato su una rete eterogenea di computer che eseguono uno qualsiasi dei sistemi operativi Windows® o Linux® o macOS. Sia il gestore di licenze che il software COMSOL Server™ possono essere eseguiti su un singolo computer con Windows®, Linux® o macOS.

Academic Server License (ASL)

I requisiti di sistema per il tipo di licenza Academic Server sono simili a quelli del tipo di licenza COMSOL Server™.

Requisiti sistemi operativi

In aggiunta ai requisiti dei sistemi operativi elencati qui sotto, collegarsi a Requisiti di Sistema per la Gamma Prodotti di Interfacciamento per requisiti specifici per CAD Import Module, Design Module e la gamma prodotti LiveLink™.

Windows® macOS Linux®
Sistemi operativi 64-Bit
  • Windows® 10
  • Windows® 10 Pro per Workstations
  • Windows® 8.1
  • Windows® 7 SP1
  • Windows Server® 2019
  • Windows Server® 2016
  • Windows Server® 2012 R2
  • Windows Server® 2012
  • Windows Server® 2008 R2 SP1
  • Windows HPC Server 2008 R2 SP1
macOS 10.13, 10.14, e 10.15
  • Debian® 8, 9 e 10
  • Red Hat® Enterprise Linux® 7.7 e 8.0
  • CentOS 7.7 e 8.0
  • Ubuntu® 16.04 e 18.04
  • SUSE® Linux Enterprise Desktop 15 SP1
  • OpenSUSE® Leap 15.0 e 15.1

Requisiti di sistema specifici per OS

Linux®
  • GNU C Library versione 2.17 o superiore
  • Linux® kernel 3.10 o superiore
  • Processore Intel® Pentium® IV o AMD Athlon™ XP o superiore
  • FlexNet® richiede Linux Standard Base (LSB™)1

1Vedere FlexNet® License Manager su Linux® nella pagina Requisiti di sistema COMSOL Multiphysics®.

Requisiti di sistema per la grafica

COMSOL Server™ non richiede il rendering grafico. Per utilizzare l'interfaccia web COMSOL Server™, effettuare il login utilizzando il client COMSOL per Windows® o un browser web raccomandato, vedere Eseguire App COMSOL. COMSOL Server™ può essere utilizzato anche in modalità batch, che non richiede il rendering grafico.

Requisiti di sistema per parallelismo

Windows® macOS Linux®
Parallelismo Memoria Condivisa Tutte le versioni supportate di Windows® Tutte le versioni supportate di macOS Tutte le distribuzioni Linux® supportate
Parallelismo Memoria Distribuita
  • Windows Server® 2019
  • Windows Server® 2016
  • Windows Server® 2012 R2
  • Windows Server® 2012
  • Windows HPC Server 2008 R2
Non Supportato
  • Red Hat® Enterprise Linux® 7.7
  • CentOS 7.7
  • Debian® 8 e 9
  • Ubuntu® 16.04 e 18.04

Tutti i computer del cluster devono utilizzare la stessa versione Linux® e devono avere hardware simile. Si raccomanda di installare OpenFabrics Enterprise Distribution (OFED) 1.5.4.4.1 o superiore. Se si utilizzano tessuti di rete con capacità RDMA, è necessario un driver o una libreria conforme alla versione DAPL 1.2 o successiva. Il software viene solitamente fornito con l'hardware.

Nota: Queste informazioni sono fornite a vostro vantaggio, ma non devono essere utilizzate in sostituzione della vostra indagine sui requisiti di sistema che potrebbero essere appropriati per l'uso del software COMSOL® o di altro software, date le vostre particolari circostanze. I sistemi e l'hardware cambiano regolarmente, il che può influire sulla determinazione di quali requisiti di sistema sono appropriati per voi.

Adobe e Acrobat sono marchi registrati o marchi di Adobe Systems Incorporated negli Stati Uniti e/o in altri paesi. AMD, AMD Athlon, FirePro e Radeon sono marchi o marchi registrati di Advanced Micro Devices, Inc. Debian è un marchio registrato di Software in the Public Interest, Inc. negli Stati Uniti. FlexNet è un marchio registrato di Flexera Software LLC. NVIDIA e NVIDIA Quadro è un marchio registrato di NVIDIA Corporation negli Stati Uniti e/o in altri paesi. Intel e Pentium sono marchi di Intel Corporation o delle sue filiali negli Stati Uniti e/o in altri paesi. Oracle e Java sono marchi registrati di Oracle e/o delle sue affiliate. Red Hat e Red Hat Enterprise Linux sono marchi registrati di Red Hat, Inc. Ubuntu è un marchio registrato di Canonical Ltd. OpenGL è un marchio o un marchio registrato di Silicon Graphics, Inc. negli Stati Uniti e/o in altri paesi del mondo. OpenSUSE e SUSE sono marchi registrati di SUSE LLC. Linux, Linux Standard Base e LSB sono marchi o marchi registrati di Linus Torvalds negli Stati Uniti e in altri paesi. macOS è un marchio di Apple Inc. negli Stati Uniti e in altri paesi. Microsoft, DirectX, Visual Studio, Windows e Windows Server sono marchi registrati o marchi di Microsoft Corporation negli Stati Uniti e/o in altri paesi. COMSOL AB e le sue sussidiarie e i suoi prodotti non sono affiliati, approvati, sponsorizzati o supportati da questi proprietari di marchi.